## pureos-store 3.36.1+8050+git01956105

=== debian/changelog ===
pureos-store (3.36.1+8050+git01956105-1pureos0) amber-phone; urgency=medium

  [ Adrien Plazas ]
  * app: Add the compatible-device kudo
  * appstream: Give the compatible-device kudo
  * details-page: Show the compatible-device kudo
  * category-page: Fix the UI template
  * overview-page: Skip non-compatible applications
  * category-page: Skip non-compatible applications
  * Bump
  * appstream: Drop a useless variable
  * overview-page: Refine kudos
  * category-page: Refine kudos
  * appstream: Assume devices non-compatible on null chassis
  * appstream: Force device compatibility via a Phosh setting
  * appstream: Ensure the forced device compatibility setting exist
  * gschema: Drop the compatible-applications setting
  * appdata: Don't assume app IDs don't finish by .desktop
  * first-run-dialog: Rebrand to PureOS Store
  * dbus-helper: Rebrand to PureOS Store
  * debian: Conflicts with gnome-software et al.
  * data: Make the featured apps relevant to the Librem 5
  * data: List compatible form-factors

  [ Guido Günther ]
  * Add ci pipeline
  * d/control: Add Provides:
  * Only allow a single component

  [ Sebastian Krzyszkowiak ]
  * assets: Use higher resolution icons for Animatch and SuperTuxKart

 -- Adrien Plazas <kekun@pureos>  Tue, 24 Nov 2020 15:21:43 +0100

pureos-store (3.36.1-2) unstable; urgency=medium

  * Enable malcontent on supported architectures

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jul 2020 18:24:31 +0200

pureos-store (3.36.1-1) unstable; urgency=medium

  * New upstream release
    - Drop patches that were cherry-picked from upstream

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Jun 2020 11:25:25 +0200

pureos-store (3.36.0-3) unstable; urgency=medium

  * Fix missing icons in the store, patch from upstream.
    Thanks to Matthias Klumpp <matthias@tenstral.net>
  * Do not fail to load the appstream plugin if any of the metadata
    directories doesn't exist (Closes: #958915)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Apr 2020 15:13:57 +0200

pureos-store (3.36.0-2) unstable; urgency=medium

  * Add fix-appstream-featured-data.patch
    - This restores a regression fix that was accidentally reverted
      in the 3.36.0 release. The issue caused invalid AppStream data to
      be added to the global metadata pool, resulting in a confusing
      warning to people using APT or an AppStream cache (Closes: #932747)

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Apr 2020 18:16:58 +0200

pureos-store (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 14:35:17 +0100

pureos-store (3.35.91-1) experimental; urgency=medium

  * New upstream release
    - Drop d/p/0001-gs-appstream-Fix-loading-of-icons-from-AppStream-YAM.patch
      and d/p/snap-Don-t-try-to-get-alternatives-for-non-snaps.patch, applied
      upstream
    - debian/control.in: Add libostree-dev to the build-dependencies as it's
      explicityly required by flatpak plugin now
    - debian/gnome-software.install: Remove the banner editor, it's now a
      standalone app
    - debian/control.in: Bump minimal meson to 0.47
  * Disable malcontent for now as it's not in the archive yet
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 13:33:18 +0100

pureos-store (3.34.2-2) unstable; urgency=medium

  * Stop overriding libexecdir and move the daemons to /usr/libexec now that
    this is allowed in the debian policy
  * d/p/0001-gs-appstream-Fix-loading-of-icons-from-AppStream-YAM.patch:
    Fix loading of icons from AppStream YAM (Thanks to Robert Ancell)
  * d/p/snap-Don-t-try-to-get-alternatives-for-non-snaps.patch: Do not try to
    manage alternative for non-snaps applications (Closes: #947237)
  * debian/control.in: Add the needed -doc packages to the build-dependencies
    so the links between the documentation files are properly resolved
  * debian/control.in: Add Build-Profiles <!nodoc> for the -doc package

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 11:39:19 +0100

pureos-store (3.34.2-1) unstable; urgency=medium

  * debian/rules: Use filter instead of findstring to detect the architecture,
    this will avoid matching partial names like ppc64 and ppc64el
  * New upstream release
    - debian/patches/series: Disable d/p/0011-Support-snap-channels.patch patch
      for now, it doesn't apply cleanly anymore
  * debian/control.in: Drop gnome-packagekit-session transitional package,
    this was released with stretch. (Closes: #939207)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Dec 2019 18:17:52 +0100

pureos-store (3.34.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (3.31.90)
  * Drop 5 patches applied in new release
  * Build-Depend on libgoa-1.0-dev & libxmlb-dev
  * Drop obsolete Build-Depends on libsecret-1-dev

  [ Andreas Henriksson ]
  * New upstream release (3.34.0)
  * Bump build-dependencies as per meson.build
  * Update debian/changelog
  * Drop d/p/0020-details-page-Don-t-show-missing-screenshot-placehold.patch.
    Obsoleted by upstream commit abdf04b4f1e44449ea8288ac7e102c0e8cb1d533
    "Refactor screenshots and hide those unavailable when offline"
  * Massage d/p/0011-Support-snap-channels.patch to apply
  * Let quilt refresh d/p/0011-Support-snap-channels.patch
  * Let quilt refresh
    d/p/0021-details-Use-custom-icon-for-verified-developers.patch

  [ Laurent Bigonville ]
  * debian/control.in: Bump libsnapd-glib-dev to 1.54 to avoid a bug in the
    .pc file not setting the include directory
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Dec 2019 13:55:11 +0100

pureos-store (3.30.6-5) unstable; urgency=medium

  * Cherry-pick 8 Snap patches via Ubuntu
    - Support switching channels, add verified developer support, use

