=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pureos-store
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
Build-Depends: appstream,
               appstream-util,
               debhelper-compat (= 12),
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               libappstream-glib-dev (>= 0.7.14),
               libflatpak-dev (>= 1.0.4) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libfwupd-dev (>= 1.0.3) [linux-any],
               libglib2.0-dev (>= 2.56.0),
               libgnome-desktop-3-dev (>= 3.18.0),
               libgoa-1.0-dev,
               libgspell-1-dev,
               libgtk-3-dev (>= 3.22.4),
               libgudev-1.0-dev [linux-any],
               libhandy-1-dev (>= 1.0.0),
               libjson-glib-dev (>= 1.2.0),
               libostree-dev [linux-any],
               libpackagekit-glib2-dev (>= 1.1.11),
               libpolkit-gobject-1-dev,
               libsoup2.4-dev (>= 2.52.0),
               libxml2-utils,
               libxmlb-dev (>= 0.1.7),
               meson (>= 0.47),
               pkg-config,
               valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
               xsltproc
Build-Depends-Indep: appstream-glib-doc <!nodoc>,
                     libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libjson-glib-doc <!nodoc>,
                     libsoup2.4-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://source.puri.sm/Librem5/pureos-store
Vcs-Git: https://source.puri.sm/Librem5/pureos-store.git
Homepage: https://source.puri.sm/Librem5/pureos-store

Package: pureos-store
Architecture: any
Depends: appstream,
         apt-config-icons,
         pureos-store-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         libgtk3-perl,
         packagekit (>= 1.1.11),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gnome-software,
           sessioninstaller
Provides: gnome-software
Recommends: fwupd [linux-any], ${plugin:Recommends}
Suggests: apt-config-icons-hidpi,
          pureos-store-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
          ${plugin:Suggests}
Description: Software Center for PureOS
 PureOS Store lets you install and update applications and system extensions.
 .
 PureOS Store uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: pureos-store-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: gnome-software-common
Provides: gnome-software-common
Description: Software Center for PureOS (common files)
 PureOS Store lets you install and update applications and system extensions.
 .
 PureOS Store uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: pureos-store-plugin-flatpak
Architecture: amd64 arm64 armel armhf hppa i386 mips mips64el powerpc powerpcspe ppc64 ppc64el s390x
Depends: flatpak,
         pureos-store (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gnome-software-plugin-flatpak
Provides: gnome-software-plugin-flatpak
Description: Flatpak support for PureOS Store
 PureOS Store lets you install and update applications and system extensions.
 .
 PureOS Store uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: pureos-store-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libappstream-glib-dev (>= 0.7.14),
         libglib2.0-dev (>= 2.56.0),
         libgtk-3-dev (>= 3.22.4),
         libsoup2.4-dev (>= 2.52.0),
         ${misc:Depends}
Conflicts: gnome-software-dev
Suggests: pureos-store-doc
Description: Software Center for PureOS - development files
 PureOS Store lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with PureOS Store.

Package: pureos-store-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: gnome-software-doc
Build-Profiles: <!nodoc>
Description: Software Center for PureOS - documentation
 PureOS Store lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 PureOS Store.
