## pureos-store 41.beta+really41.4

=== debian/changelog ===
pureos-store (41.beta+really41.4-0pureos2) byzantium; urgency=medium

  * d/control: Make "Provides" relation versioned

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 11 Jun 2023 05:16:55 +0200

pureos-store (41.beta+really41.4-0pureos1) byzantium; urgency=medium

  * New upstream release

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Add -Wl,-z,defs to our LDFLAGS

  [ Philip Withnall ]
  * debian/control: Fix -dev package pulling in libappstream-glib-dev

  [ Gunnar Hjalmarsson ]
  * Team upload
  * New upstream release
  * Tweak of d/copyright including a lintian override

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control.in: Adjust the build-dependencies
  * d/p/01_details-Use-custom-icon-for-verified-developers.patch: Refreshed
  * debian/rules: Odrs support is not an optional plugin anymore, remove the
    option
  * Fix installation and dependency detection of libgnomesoftware private
    library
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

  [ Adrien Plazas ]
  * Rebase the patches on 41.4.

 -- Adrien Plazas <adrien.plazas@puri.sm>  Thu, 14 Feb 2022 12:35:00 +0100

pureos-store (41.beta+really41.0-0pureos2) byzantium; urgency=medium

  * d/patches: Ensure category tiles have the expected min with
  * d/patches: Make the moderation page adaptive
  * d/patches: Ellipsize the updates section buttons

 -- Adrien Plazas <adrien.plazas@puri.sm>  Thu, 20 Jan 2022 07:48:26 +0100

pureos-store (41.beta+really41.0-0pureos1) byzantium; urgency=medium

  [ Adrien Plazas ]
  * Update to 41.0.
  * Filter applications for device compatibilty.

 -- Adrien Plazas <adrien.plazas@puri.sm>  Fri, 20 Aug 2021 10:33:00 +0200

pureos-store (41.beta-0pureos3) byzantium; urgency=medium

  * d/patches: Always present "Download" button before "Restart & Update"
  * d/control: Move apt-config-icons-hidpi to Recommends

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 03 Oct 2021 16:26:39 +0200

pureos-store (41.beta-0pureos2) byzantium; urgency=medium

  [ Adrien Plazas ]
  * debian: Patch support for Purism::form_factor
  * debian: Patch flagging applications from PureOS as safe

  [ Evangelos Ribeiro Tzaras ]
  * maintscript: Cleanup obsolete xdg autostart desktop file

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Mon, 20 Sep 2021 05:39:14 +0200

pureos-store (41.beta-0pureos1) byzantium; urgency=medium

  [ Adrien Plazas ]
  * Update to 41.beta.

 -- Adrien Plazas <adrien.plazas@puri.sm>  Fri, 13 Aug 2021 18:20:00 +0200

pureos-store (3.38.1-1+pureos2) byzantium; urgency=medium

  * Upload to byzantium

 -- Adrien Plazas <adrien.plazas@puri.sm>  Mon, 03 May 2021 09:39:05 +0200

pureos-store (3.38.1-1+pureos1) unstable; urgency=medium

  [ Mohammed Sadiq ]
  * debian: Update gbp.conf
  * debian: Add librem5-ci

  [ Adrien Plazas ]
  * debian: Disable snap
  * debian: Disable fwupd support
  * debian: Drop the dependency on software-properties-gtk
  * debian: Drop the custom verified icon patch
  * Patches
  * debian: Add the libhandy-1 dependency
  * debian: Rebrand as PureOS Store
  * debian: Conflicts with gnome-software et al.

  [ Guido Günther ]
  * d/control: Add Provides:

 -- Adrien Plazas <adrien.plazas@puri.sm>  Fri, 30 Apr 2021 08:35:12 +0200

pureos-store (3.38.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix package details not found for some packages
    - Ignore harmless warnings when using unusual fwupd versions
    - Translation updates
  * Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Feb 2021 15:08:20 +0000

pureos-store (3.38.0-3) unstable; urgency=medium

  * Add an upstream patch to fix offline updates (Closes: #972506)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 23 Dec 2020 09:33:29 +0100

pureos-store (3.38.0-2) unstable; urgency=medium

  * Team upload

  [ Gunnar Hjalmarsson ]
  * d/control changes needed for Ubuntu's language packs:
    - Set X-Ubuntu-Use-Langpack header
    - Add policykit-1 to Build-Depends to make xgettext able to handle
      org.gnome.software.external-appstream.policy.in.in

  [ Simon McVittie ]
  * d/rules: Remove unused files even in purely arch-indep builds.
    This fixes FTBFS (from dh_missing --fail-missing) when only building
    the arch-indep packages.

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Oct 2020 18:42:42 +0100

pureos-store (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * debian/rules: Remove libgnomesoftware.a

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 05 Oct 2020 12:25:03 +0200
