## pureos-store 43~rc

=== debian/changelog ===
pureos-store (43~rc-2pureos3) octarine; urgency=medium

  * d/patches: Check the correct price key out

 -- Adrien Plazas <adrien.plazas@puri.smnet>  Mon, 12 Sep 2022 09:45:57 +0200

pureos-store (43~rc-2pureos2) octarine; urgency=medium

  * d/patches: Fix payments

 -- Adrien Plazas <adrien.plazas@puri.sm>  Wed, 07 Sep 2022 12:18:11 +0200

pureos-store (43~rc-2pureos1) octarine; urgency=medium

  * d/patches: Update the patches

 -- Adrien Plazas <adrien.plazas@puri.sm>  Tue, 06 Sep 2022 11:22:28 +0200

pureos-store (43~rc-2) unstable; urgency=medium

  * debian/control.in: Explicitly Build-Depend on libsoup

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 21:51:20 -0400

pureos-store (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.70.0
  * Drop libsoup3 patches: applied in new release
  * Build for libsoup3 on Ubuntu because it has the new snapd-glib

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 09:46:45 -0400

pureos-store (43~beta-1pureos3) octarine; urgency=medium

  * d/patches: Update payment patches

 -- Adrien Plazas <adrien.plazas@puri.sm>  Fri, 02 Sep 2022 13:42:20 +0200

pureos-store (43~beta-1pureos2) octarine; urgency=medium

  * d/patches: Work around an ODRS server error
  * d/patches: Update the design of the Post Review dialog

 -- Adrien Plazas <adrien.plazas@puri.sm>  Wed, 31 Aug 2022 19:33:06 +0200

pureos-store (43~beta-1pureos1) octarine; urgency=medium

  * debian: Update the installed files
  * d/patches: Drop a workaround
  * d/control: Bump libadwaita to 1.2~alpha
  * d/patches: Add commits from main
  * d/patches: Bump dependencies down to what we ship
  * d/control: Bump dependencies down to what we ship
  * d/patches: Update the patches
  * d/patches: Add preliminary payment support
  * debian: Make the CI build with octarine

 -- Adrien Plazas <adrien.plazas@puri.sm>  Tue, 30 Aug 2022 15:32:24 +0200

pureos-store (43~beta-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete valgrind dependency
  * Build-Depend on appstream for build tests
  * debian/control.in: Build-Depend on libglib-testing-0-dev
  * Update list of architectures where we try to build the Flatpak plugin
  * Add patch to allow building the Flatpak plugin with libsoup3
  * Add proposed patch to allow building the Snap plugin with libsoup3
  * Keep building with libsoup2 until we are ready for the librest transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 07:31:49 -0400

pureos-store (42.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 07:16:30 -0400

pureos-store (42.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Jul 2022 23:04:45 +0200

pureos-store (42.2-1) unstable; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * New upstream release
  * Revert "Cherry-pick proposed patch to fix inability to remove apps":
    applied in new release

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Set upstream metadata fields

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 01 Jun 2022 11:47:21 -0300

pureos-store (42.1-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick proposed patch to fix inability to remove apps (LP: #1969303)
  * debian/gnome-software-common.install: Install usr/share/swcatalog
    instead of usr/share/app-info

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 May 2022 12:16:07 -0400

pureos-store (42.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to GTK4 and libadwaita
  * Build with libsoup2 for now
  * debian/control.in: Bump minimum dependencies to match meson.build
  * debian/control.in: Update gnome-software-dev depends per its pkgconfig
  * debian/gnome-software-common.install: Update for no longer installed file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 10:02:40 -0400

pureos-store (41.5-2) unstable; urgency=medium

  * Fix verified-developers icon patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 09:58:25 -0400

pureos-store (41.5-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 08:21:08 -0400
