=== debian/control ===
--- 
+++ 
@@ -6,32 +6,31 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               appstream <!nocheck>,
                dh-sequence-gnome,
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
+               libadwaita-1-dev (>= 1.2~alpha),
                libappstream-dev (>= 0.14.0),
-               libflatpak-dev (>= 1.0.4) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libflatpak-dev (>= 1.10.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libglib2.0-dev (>= 2.56.0),
-               libgnome-desktop-3-dev (>= 3.18.0),
-               libgspell-1-dev,
-               libgtk-3-dev (>= 3.22.4),
+               libglib-testing-0-dev,
+               libgtk-4-dev (>= 4.6),
                libgudev-1.0-dev [linux-any],
-               libhandy-1-dev (>= 1.3.90),
-               libjson-glib-dev (>= 1.2.0),
-               libostree-dev [linux-any],
-               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libjson-glib-dev (>= 1.6.0),
+               libostree-dev (>= 2020.8-2~) [linux-any],
+               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libpackagekit-glib2-dev (>= 1.1.11),
                libpolkit-gobject-1-dev,
                libsoup2.4-dev (>= 2.52.0),
                libxml2-utils,
                libxmlb-dev (>= 0.1.7),
-               meson (>= 0.47),
+               meson (>= 0.55.0),
                pkg-config,
                policykit-1,
-               valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
                xsltproc
 Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
@@ -57,10 +56,10 @@
          ${shlibs:Depends}
 Conflicts: gnome-software,
            sessioninstaller
-Provides: gnome-software (= ${binary:Version})
-Recommends: apt-config-icons-hidpi,
-            ${plugin:Recommends}
-Suggests: pureos-store-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+Provides: gnome-software
+Recommends: ${plugin:Recommends}
+Suggests: apt-config-icons-hidpi,
+          pureos-store-plugin-flatpak [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
           ${plugin:Suggests}
 Description: Software Center for PureOS
  PureOS Store lets you install and update applications and system extensions.
@@ -76,7 +75,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: gnome-software-common
-Provides: gnome-software-common (= ${binary:Version})
+Provides: gnome-software-common
 Description: Software Center for PureOS (common files)
  PureOS Store lets you install and update applications and system extensions.
  .
@@ -89,13 +88,13 @@
  This package contains the architecture-independent files.
 
 Package: pureos-store-plugin-flatpak
-Architecture: amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x
-Depends: flatpak,
+Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32
+Depends: flatpak (>= 1.10.0),
          pureos-store (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: gnome-software-plugin-flatpak
-Provides: gnome-software-plugin-flatpak (= ${binary:Version})
+Provides: gnome-software-plugin-flatpak
 Description: Flatpak support for PureOS Store
  PureOS Store lets you install and update applications and system extensions.
  .
@@ -113,11 +112,14 @@
 Multi-Arch: same
 Depends: libappstream-dev (>= 0.14.0),
          libglib2.0-dev (>= 2.56.0),
-         libgtk-3-dev (>= 3.22.4),
-         libsoup2.4-dev (>= 2.52.0),
+         libgtk-4-dev (>= 4.6),
+         libjson-glib-dev (>= 1.6.0),
+         libpolkit-gobject-1-dev,
+         libsoup2.4-dev,
+         libxmlb-dev (>= 0.1.7),
          ${misc:Depends}
 Conflicts: gnome-software-dev
-Provides: gnome-software-dev (= ${binary:Version})
+Provides: gnome-software-dev
 Suggests: pureos-store-doc
 Description: Software Center for PureOS - development files
  PureOS Store lets you install and update applications and system extensions.
@@ -131,7 +133,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: gnome-software-doc
-Provides: gnome-software-doc (= ${binary:Version})
+Provides: gnome-software-doc
 Build-Profiles: <!nodoc>
 Description: Software Center for PureOS - documentation
  PureOS Store lets you install and update applications and system extensions.
