=== debian/rules ===
--- 
+++ 
@@ -13,27 +13,22 @@
 	-Dpackagekit_autoremove=true \
 	-Drpm_ostree=false \
 	-Dapt=true \
+	-Dsoup2=true \
 
 # these are conditionally re-enabled later
 GS_CONFIGURE_FLAGS += \
 	-Dflatpak=false \
 	-Dgudev=false \
-	-Dmalcontent=false \
-	-Dvalgrind=false
+	-Dmalcontent=false
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# Enable Flatpak support on supported architectures
-	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
+	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32))
 		GS_CONFIGURE_FLAGS += -Dflatpak=true -Dmalcontent=true
 	endif
 
 	# Enable GUdev support on Linux
 	GS_CONFIGURE_FLAGS += -Dgudev=true
-
-	# Enable valgrind support on supported architectures
-	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
-		GS_CONFIGURE_FLAGS += -Dvalgrind=true
-	endif
 endif
 
 DISTRO_ID = debian
